Skip to navigation

Resolve a charger's route

own: your OCPP charger, commanded through ocpp-gateway. roaming: a partner CPO, commanded over OCPI in ocpi_version. For support and debugging; sending a command (POST /emsp/commands/{authorization_reference}/{command}) resolves by itself.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
country_codestringRequiredformat: "^[A-Za-z]{2}$"
party_idstringRequiredformat: "^[A-Za-z0-9]{3}$"
location_idstringRequired1-39 characters
evse_uidstringRequired1-39 characters
connector_idstring or nullOptional1-36 characters

Response

The route commands to this charger take.
ResolveChargersResponse_Ownobject
OR
ResolveChargersResponse_Roamingobject

Errors

401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error